aboutsummaryrefslogtreecommitdiffstats
path: root/community/tor/APKBUILD
diff options
context:
space:
mode:
authorJakub Jirutka <jakub@jirutka.cz>2016-08-25 16:48:13 +0200
committerJakub Jirutka <jakub@jirutka.cz>2016-08-25 21:56:02 +0200
commitbd84b03391292e67b44989744a3ff28691fcddeb (patch)
treeb112d4fecda390f958a7ea53b02cc63d53f3f90f /community/tor/APKBUILD
parentb6e190d074dbab4fffb28834b253a0ee681963a4 (diff)
downloadaports-bd84b03391292e67b44989744a3ff28691fcddeb.tar.gz
aports-bd84b03391292e67b44989744a3ff28691fcddeb.tar.bz2
aports-bd84b03391292e67b44989744a3ff28691fcddeb.tar.xz
community/tor: improve abuild and runscript
Diffstat (limited to 'community/tor/APKBUILD')
-rw-r--r--community/tor/APKBUILD28
1 files changed, 16 insertions, 12 deletions
diff --git a/community/tor/APKBUILD b/community/tor/APKBUILD
index 116bffdc41..d8b2240877 100644
--- a/community/tor/APKBUILD
+++ b/community/tor/APKBUILD
@@ -2,22 +2,19 @@
# Maintainer: Sam Dodrill <shadow.h511@gmail.com>
pkgname=tor
pkgver=0.2.7.6
-pkgrel=3
+pkgrel=4
pkgdesc="Anonymous network connectivity"
url="https://www.torproject.org"
arch="all"
license="BSD"
pkgusers="tor"
depends=""
-depends_dev=""
makedepends="linux-headers bash libevent-dev openssl-dev ca-certificates"
install="$pkgname.pre-install"
subpackages="$pkgname-doc"
source="https://www.torproject.org/dist/$pkgname-$pkgver.tar.gz
tor.initd
- tor.confd
- "
-
+ tor.confd"
builddir="$srcdir/$pkgname-$pkgver"
build() {
@@ -30,17 +27,24 @@ build() {
--mandir=/usr/share/man \
--infodir=/usr/share/info \
--localstatedir=/var \
- --enable-transparent \
+ --enable-transparent \
|| return 1
make || return 1
}
package() {
cd "$builddir"
+
make DESTDIR="$pkgdir" install || return 1
- mkdir -p "$pkgdir"/var/lib/$pkgname
- mkdir -p "$pkgdir"/var/log/$pkgname
- chown $pkgusers "$pkgdir"/var/lib/$pkgname
+
+ # Uncomment logging to file.
+ sed -Ei 's/^#*(Log notice file.*)/\1/' \
+ "$pkgdir"/etc/tor/torrc.sample || return 1
+
+ install -dm755 -o $pkgusers \
+ "$pkgdir"/var/lib/$pkgname \
+ "$pkgdir"/var/log/$pkgname || return 1
+
install -m755 -D "$srcdir"/$pkgname.initd \
"$pkgdir"/etc/init.d/$pkgname || return 1
install -m644 -D "$srcdir"/$pkgname.confd \
@@ -48,11 +52,11 @@ package() {
}
md5sums="cc19107b57136a68e8c563bf2d35b072 tor-0.2.7.6.tar.gz
-c10b84a88dfaff4c17e40d04edd2caf3 tor.initd
+5fcebf3f26f4ec4ddfed262a020263d4 tor.initd
e05a796ffc4981c22c167de11fa36ef9 tor.confd"
sha256sums="493a8679f904503048114aca6467faef56861206bab8283d858f37141d95105d tor-0.2.7.6.tar.gz
-6b1fbc73e108e42a57a0faba409cb5fc6b40d79897261753cc4bc076faf23c35 tor.initd
+f8cabd757daa05d6a72992911ff24204854275d190887e02a35e7d098cae40cf tor.initd
41d780f291847e19f632428bbf27c3f289414afd237546d2974da1b75384c25c tor.confd"
sha512sums="9b0dbfabe6cd05189b179da24bfaa73b89ab237775e3b5b0ebc0a22ee98909e9b13e55841a466f04000e0ff876c15f76515ff46abca28d05eeddbdc52f183afc tor-0.2.7.6.tar.gz
-baec0ffcbab334582aedeb2869a92862c45a379b3a71fe99b296732713ef3026adab181fccb7304bc0830f8ab72ac811b6fcbe91d739e8b78e41f515e920a0ea tor.initd
+7763735be48d4cee9d78c0f1c8cd37e504efa262267997c214349fc6de46e7ae9a00b1320977946f562ab2b35fa0bdf37932860b266714e936c75f08aa187fa2 tor.initd
9028ac41e3acdf4405095addb69537e87edecafaec840296ac27a5a8992fe132dc822e4e4abb8826f76460c438da2719dea17859690d03e17198a82086a3d660 tor.confd"